
%global meadversion 6
%global namedversion 4.2.1-redhat-1
%global meadalpha .redhat_1
%global meadrel .3
%global serial 10

%bcond_with javadoc
%bcond_without mead

%define namedreltag %(echo %{meadalpha} | sed 's|_|-|' | sed 's|.|-|')

%global projectversion 6
%global httpcoreversion 4.2.1
%global httpclientversion 4.2.1
%global httpasyncclientversion 4.0

%global projectnamedversion %{projectversion}%{?namedreltag}
%global httpcorenamedversion %{httpcoreversion}%{?namedreltag}
%global httpclientnamedversion %{httpclientversion}%{?namedreltag}

%global httpasyncclientreltag .beta1
%global httpasyncclientrelease %{serial}%{?httpasyncclientreltag}%{meadalpha}%{meadrel}%{?dist}
%global httpasyncclientnamedreltag -beta1
%global httpasyncclientnamedversion %{httpasyncclientversion}%{?httpasyncclientnamedreltag}%{?namedreltag}

%global _javadir %{_datadir}/java/httpcomponents%{?eap}
%global eap -eap6

%define maven_version 6-redhat-1

Name:           httpcomponents%{?eap}
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Components to build HTTP enabled services
License:        ASL 2.0
Group:          Development/Java

%if %with mead
Source100: org.apache.httpcomponents-project-6-redhat-1-sources.zip
Source101: org.apache.httpcomponents-project-6-redhat-1-patches.zip
Source102: fluent-hc-4.2.1-redhat-1-javadoc.jar
Source103: fluent-hc-4.2.1-redhat-1.pom
Source104: fluent-hc-4.2.1-redhat-1-site.xml
Source105: fluent-hc-4.2.1-redhat-1.jar
Source106: fluent-hc-4.2.1-redhat-1-sources.jar
Source107: httpclient-osgi-4.2.1-redhat-1-sources.jar
Source108: httpclient-osgi-4.2.1-redhat-1.jar
Source109: httpclient-osgi-4.2.1-redhat-1.pom
Source110: httpcore-ab-4.2.1-redhat-1-javadoc.jar
Source111: httpcore-ab-4.2.1-redhat-1-sources.jar
Source112: httpcore-ab-4.2.1-redhat-1.jar
Source113: httpcore-ab-4.2.1-redhat-1.pom
Source114: httpcomponents-core-4.2.1-redhat-1-site.xml
Source115: httpcomponents-core-4.2.1-redhat-1.pom
Source116: httpasyncclient-4.0-beta1-redhat-1.pom
Source117: httpasyncclient-4.0-beta1-redhat-1-sources.jar
Source118: httpasyncclient-4.0-beta1-redhat-1-site.xml
Source119: httpasyncclient-4.0-beta1-redhat-1-javadoc.jar
Source120: httpasyncclient-4.0-beta1-redhat-1.jar
Source121: httpclient-4.2.1-redhat-1-sources.jar
Source122: httpclient-4.2.1-redhat-1-javadoc.jar
Source123: httpclient-4.2.1-redhat-1.pom
Source124: httpclient-4.2.1-redhat-1-site.xml
Source125: httpclient-4.2.1-redhat-1.jar
Source126: httpclient-4.2.1-redhat-1-tests.jar
Source127: httpcore-nio-4.2.1-redhat-1-javadoc.jar
Source128: httpcore-nio-4.2.1-redhat-1.pom
Source129: httpcore-nio-4.2.1-redhat-1-sources.jar
Source130: httpcore-nio-4.2.1-redhat-1-site.xml
Source131: httpcore-nio-4.2.1-redhat-1.jar
Source132: httpcomponents-client-4.2.1-redhat-1.pom
Source133: httpcomponents-client-4.2.1-redhat-1-site.xml
Source134: httpcore-4.2.1-redhat-1.jar
Source135: httpcore-4.2.1-redhat-1.pom
Source136: httpcore-4.2.1-redhat-1-javadoc.jar
Source137: httpcore-4.2.1-redhat-1-sources.jar
Source138: httpcore-4.2.1-redhat-1-site.xml
Source139: httpasyncclient-osgi-4.0-beta1-redhat-1-sources.jar
Source140: httpasyncclient-osgi-4.0-beta1-redhat-1.jar
Source141: httpasyncclient-osgi-4.0-beta1-redhat-1.pom
Source142: httpmime-4.2.1-redhat-1-site.xml
Source143: httpmime-4.2.1-redhat-1.pom
Source144: httpmime-4.2.1-redhat-1-sources.jar
Source145: httpmime-4.2.1-redhat-1-javadoc.jar
Source146: httpmime-4.2.1-redhat-1.jar
Source147: httpcore-osgi-4.2.1-redhat-1.pom
Source148: httpcore-osgi-4.2.1-redhat-1-sources.jar
Source149: httpcore-osgi-4.2.1-redhat-1.jar
Source150: httpcomponents-asyncclient-4.0-beta1-redhat-1-site.xml
Source151: httpcomponents-asyncclient-4.0-beta1-redhat-1.pom
Source152: httpclient-cache-4.2.1-redhat-1.jar
Source153: httpclient-cache-4.2.1-redhat-1-javadoc.jar
Source154: httpclient-cache-4.2.1-redhat-1.pom
Source155: httpclient-cache-4.2.1-redhat-1-sources.jar
Source156: httpclient-cache-4.2.1-redhat-1-site.xml
Source157: project-6-redhat-1-javadoc.jar
Source158: project-6-redhat-1-site.xml
Source159: project-6-redhat-1.pom
%endif

URL:            http://hc.apache.org/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/httpcomponents-%{namedversion}-%{release}-root

%description
The Hyper-Text Transfer Protocol (HTTP) is perhaps the most significant protocol
used on the Internet today. Web services, network-enabled appliances and the
growth of network computing continue to expand the role of the HTTP protocol
beyond user-driven web browsers, while increasing the number of applications
that require HTTP support.

Designed for extension while providing robust support for the base HTTP
protocol, the HttpComponents may be of interest to anyone building HTTP-aware
client and server applications such as web browsers, web spiders, HTTP proxies,
web service transport libraries, or systems that leverage or extend the HTTP
protocol for distributed communication.

%package -n httpcomponents-project%{?eap}
Version:        %{projectversion}
Summary:        HttpComponents
Group:          Development/Java

%if 0
Obsoletes:      hc-project < %{epoch}:%{projectversion}-%{release}
Provides:       hc-project = %{epoch}:%{projectversion}-%{release}
%endif
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils

%description -n httpcomponents-project%{?eap}
Components to build HTTP enabled services.

%package -n httpcomponents-core%{?eap}
Version:        %{httpcoreversion}
Summary:        HttpComponents Core
Group:          Development/Java

%if 0
Obsoletes:      jakarta-httpcore < %{epoch}:%{httpcoreversion}-%{release}
Provides:       jakarta-httpcore = %{epoch}:%{httpcoreversion}-%{release}
Obsoletes:      hc-httpcore < %{epoch}:%{httpcoreversion}-%{release}
Provides:       hc-httpcore = %{epoch}:%{httpcoreversion}-%{release}
%endif
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-project%{?eap} = %{epoch}:%{projectversion}-%{release}

%description -n httpcomponents-core%{?eap}
Core components to build HTTP enabled services.

%package -n httpcore%{?eap}
Version:        %{httpcoreversion}
Summary:        HttpCore
Group:          Development/Java

%if 0
Obsoletes:      httpcomponents-httpcore < %{epoch}:%{httpcoreversion}-%{release}
Provides:       httpcomponents-httpcore = %{epoch}:%{httpcoreversion}-%{release}
%endif
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-core%{?eap} = %{epoch}:%{httpcoreversion}-%{release}

%description -n httpcore%{?eap}
HttpComponents Core (blocking I/O).

%package -n httpcore-ab%{?eap}
Version:        %{httpclientversion}
Summary:        HttpCore AB clone
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-core%{?eap} = %{epoch}:%{httpcoreversion}-%{release}
Requires:       httpcore%{?eap} = %{epoch}:%{httpcoreversion}-%{release}
# FIXME: Requires commons-cli:commons-cli:1.2

%description -n httpcore-ab%{?eap}
AB clone based on HttpCore.

%package -n httpcore-nio%{?eap}
Version:        %{httpclientversion}
Summary:        HttpCore NIO
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-core%{?eap} = %{epoch}:%{httpcoreversion}-%{release}
Requires:       httpcore%{?eap} = %{epoch}:%{httpcoreversion}-%{release}

%description -n httpcore-nio%{?eap}
HttpComponents Core (non-blocking I/O).

%package -n httpcore-osgi%{?eap}
Version:        %{httpclientversion}
Summary:        HttpCore OSGi bundle
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-core%{?eap} = %{epoch}:%{httpcoreversion}-%{release}
Requires:       httpcore%{?eap} = %{epoch}:%{httpcoreversion}-%{release}
Requires:       httpcore-nio%{?eap} = %{epoch}:%{httpcoreversion}-%{release}

%description -n httpcore-osgi%{?eap}
HttpComponents Core (OSGi bundle).

%package -n httpcomponents-client%{?eap}
Version:        %{httpclientversion}
Summary:        HttpComponents Client
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-project%{?eap} = %{epoch}:%{projectversion}-%{release}

%description -n httpcomponents-client%{?eap}
Apache HttpComponents Client is a library of components for building client side
HTTP services.

%package -n httpclient%{?eap}
Version:        %{httpclientversion}
Summary:        HttpClient
Group:          Development/Java

%if 0
Obsoletes:      hc-httpclient < %{epoch}:%{httpclientversion}-%{release}
Provides:       hc-httpclient = %{epoch}:%{httpclientversion}-%{release}
Obsoletes:      httpcomponents-httpclient < %{epoch}:%{httpclientversion}-%{release}
Provides:       httpcomponents-httpclient = %{epoch}:%{httpclientversion}-%{release}
%endif
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-client%{?eap} = %{epoch}:%{httpclientversion}-%{release}
Requires:       httpcore%{?eap} = %{epoch}:%{httpcoreversion}-%{release}
# FIXME: Requires commons-codec:commons-codec:1.6
# FIXME: Requires commons-logging:commons-logging:1.1.1

%description -n httpclient%{?eap}
HttpComponents Client (base module).

%package -n httpclient-cache%{?eap}
Version:        %{httpclientversion}
Summary:        HttpClient Cache
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-client%{?eap} = %{epoch}:%{httpclientversion}-%{release}
Requires:       httpclient%{?eap} = %{epoch}:%{httpclientversion}-%{release}
# FIXME: Requires commons-logging:commons-logging:1.1.1

%description -n httpclient-cache%{?eap}
HttpComponents HttpClient - Cache.

%package -n httpclient-osgi%{?eap}
Version:        %{httpclientversion}
Summary:        HttpClient OSGi bundle
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-client%{?eap} = %{epoch}:%{httpclientversion}-%{release}
Requires:       httpclient%{?eap} = %{epoch}:%{httpclientversion}-%{release}
# FIXME: Requires commons-codec:commons-codec:1.6
Requires:       httpmime%{?eap} = %{epoch}:%{httpcoreversion}-%{release}
Requires:       httpclient-cache%{?eap} = %{epoch}:%{httpclientversion}-%{release}
Requires:       fluent-hc%{?eap} = %{epoch}:%{httpclientversion}-%{release}

%description -n httpclient-osgi%{?eap}
HttpComponents Client (OSGi bundle).

%package -n httpclient-tests%{?eap}
Version:        %{httpclientversion}
Summary:        HttpClient tests
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-client%{?eap} = %{epoch}:%{httpclientversion}-%{release}
Requires:       httpclient%{?eap} = %{epoch}:%{httpclientversion}-%{release}

%description -n httpclient-tests%{?eap}
HttpClient tests.

%package -n fluent-hc%{?eap}
Version:        %{httpclientversion}
Summary:        Fluent HttpClient
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-client%{?eap} = %{epoch}:%{httpclientversion}-%{release}
Requires:       httpclient%{?eap} = %{epoch}:%{httpclientversion}-%{release}
# FIXME: Requires commons-logging:commons-logging:1.1.1

%description -n fluent-hc%{?eap}
HttpComponents Client fluent API.

%package -n httpmime%{?eap}
Summary:        HttpMime
Version:        %{httpclientversion}
Group:          Development/Java

%if 0
Obsoletes:      httpcomponents-httpmime < %{epoch}:%{httpcoreversion}-%{release}
Provides:       httpcomponents-httpmime = %{epoch}:%{httpcoreversion}-%{release}
%endif
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-client%{?eap} = %{epoch}:%{httpclientversion}-%{release}
Requires:       httpcore%{?eap} = %{epoch}:%{httpcoreversion}-%{release}

%description -n httpmime%{?eap}
HttpComponents HttpClient - MIME coded entities.

%package -n httpcomponents-asyncclient%{?eap}
Version:        %{httpasyncclientversion}
Release:        %{httpasyncclientrelease}
Summary:        HttpComponents AsyncClient
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       httpcomponents-project%{?eap} = %{epoch}:%{projectversion}-%{release}

%description -n httpcomponents-asyncclient%{?eap}
Components to build asynchronous client side HTTP services.

%package -n httpasyncclient%{?eap}
Version:        %{httpasyncclientversion}
Release:        %{httpasyncclientrelease}
Summary:        HttpAsyncClient
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
# XXX: 4.0-beta1
Requires:       httpcomponents-asyncclient%{?eap} = %{epoch}:%{httpasyncclientversion}-%{httpasyncclientrelease}
Requires:       httpcore%{?eap} = %{epoch}:%{httpcoreversion}-%{release}
Requires:       httpcore-nio%{?eap} = %{epoch}:%{httpcoreversion}-%{release}
Requires:       httpclient%{?eap} = %{epoch}:%{httpclientversion}-%{release}
# FIXME: Requires commons-logging:commons-logging:1.1.1

%description -n httpasyncclient%{?eap}
HttpComponents AsyncClient (base module).

%package -n httpasyncclient-osgi%{?eap}
Version:        %{httpasyncclientversion}
Release:        %{httpasyncclientrelease}
Summary:        HttpAsyncClient OSGi bundle
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
# XXX: 4.0-beta1
Requires:       httpcomponents-asyncclient%{?eap} = %{epoch}:%{httpasyncclientversion}-%{httpasyncclientrelease}
Requires:       httpasyncclient%{?eap} = %{epoch}:%{httpasyncclientversion}-%{httpasyncclientrelease}

%description -n httpasyncclient-osgi%{?eap}
HttpComponents AsyncClient (OSGi bundle).

%if %with javadoc
%package -n httpcomponents-javadoc%{?eap}
Summary:        Javadoc for %{name}
Group:          Development/Documentation

Requires:       jpackage-utils
BuildRequires:  jpackage-utils

%description -n httpcomponents-javadoc%{?eap}
%{summary}.
%endif

%prep
%setup -q -n project -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/project-%{projectnamedversion}-site.xml %{buildroot}%{_javadir}/httpcomponents-project-%{projectnamedversion}-site.xml
%{__cp} -p %{_sourcedir}/httpcomponents-core-%{httpcorenamedversion}-site.xml %{buildroot}%{_javadir}/httpcomponents-core-%{httpcorenamedversion}-site.xml
%{__cp} -p %{_sourcedir}/httpcore-%{httpcorenamedversion}.jar %{buildroot}%{_javadir}/httpcore-%{httpcorenamedversion}.jar
%{__cp} -p %{_sourcedir}/httpcore-%{httpcorenamedversion}-javadoc.jar %{buildroot}%{_javadir}/httpcore-%{httpcorenamedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/httpcore-%{httpcorenamedversion}-sources.jar %{buildroot}%{_javadir}/httpcore-%{httpcorenamedversion}-sources.jar
%{__cp} -p %{_sourcedir}/httpcore-%{httpcorenamedversion}-site.xml %{buildroot}%{_javadir}/httpcore-%{httpcorenamedversion}-site.xml
%{__cp} -p %{_sourcedir}/httpcore-ab-%{httpcorenamedversion}.jar %{buildroot}%{_javadir}/httpcore-ab-%{httpcorenamedversion}.jar
%{__cp} -p %{_sourcedir}/httpcore-ab-%{httpcorenamedversion}-javadoc.jar %{buildroot}%{_javadir}/httpcore-ab-%{httpcorenamedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/httpcore-ab-%{httpcorenamedversion}-sources.jar %{buildroot}%{_javadir}/httpcore-ab-%{httpcorenamedversion}-sources.jar
%{__cp} -p %{_sourcedir}/httpcore-nio-%{httpcorenamedversion}.jar %{buildroot}%{_javadir}/httpcore-nio-%{httpcorenamedversion}.jar
%{__cp} -p %{_sourcedir}/httpcore-nio-%{httpcorenamedversion}-javadoc.jar %{buildroot}%{_javadir}/httpcore-nio-%{httpcorenamedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/httpcore-nio-%{httpcorenamedversion}-sources.jar %{buildroot}%{_javadir}/httpcore-nio-%{httpcorenamedversion}-sources.jar
%{__cp} -p %{_sourcedir}/httpcore-nio-%{httpcorenamedversion}-site.xml %{buildroot}%{_javadir}/httpcore-nio-%{httpcorenamedversion}-site.xml
%{__cp} -p %{_sourcedir}/httpcore-osgi-%{httpcorenamedversion}.jar %{buildroot}%{_javadir}/httpcore-osgi-%{httpcorenamedversion}.jar
%{__cp} -p %{_sourcedir}/httpcore-osgi-%{httpcorenamedversion}-sources.jar %{buildroot}%{_javadir}/httpcore-osgi-%{httpcorenamedversion}-sources.jar
%{__cp} -p %{_sourcedir}/httpcomponents-client-%{httpclientnamedversion}-site.xml %{buildroot}%{_javadir}/httpcomponents-client-%{httpclientnamedversion}-site.xml
%{__cp} -p %{_sourcedir}/httpclient-%{httpclientnamedversion}.jar %{buildroot}%{_javadir}/httpclient-%{httpclientnamedversion}.jar
%{__cp} -p %{_sourcedir}/httpclient-%{httpclientnamedversion}-javadoc.jar %{buildroot}%{_javadir}/httpclient-%{httpclientnamedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/httpclient-%{httpclientnamedversion}-sources.jar %{buildroot}%{_javadir}/httpclient-%{httpclientnamedversion}-sources.jar
%{__cp} -p %{_sourcedir}/httpclient-%{httpclientnamedversion}-site.xml %{buildroot}%{_javadir}/httpclient-%{httpclientnamedversion}-site.xml
%{__cp} -p %{_sourcedir}/httpclient-%{httpclientnamedversion}-tests.jar %{buildroot}%{_javadir}/httpclient-%{httpclientnamedversion}-tests.jar
%{__cp} -p %{_sourcedir}/httpclient-cache-%{httpclientnamedversion}.jar %{buildroot}%{_javadir}/httpclient-cache-%{httpclientnamedversion}.jar
%{__cp} -p %{_sourcedir}/httpclient-cache-%{httpclientnamedversion}-javadoc.jar %{buildroot}%{_javadir}/httpclient-cache-%{httpclientnamedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/httpclient-cache-%{httpclientnamedversion}-sources.jar %{buildroot}%{_javadir}/httpclient-cache-%{httpclientnamedversion}-sources.jar
%{__cp} -p %{_sourcedir}/httpclient-cache-%{httpclientnamedversion}-site.xml %{buildroot}%{_javadir}/httpclient-cache-%{httpclientnamedversion}-site.xml
%{__cp} -p %{_sourcedir}/httpclient-osgi-%{httpclientnamedversion}.jar %{buildroot}%{_javadir}/httpclient-osgi-%{httpclientnamedversion}.jar
%{__cp} -p %{_sourcedir}/httpclient-osgi-%{httpclientnamedversion}-sources.jar %{buildroot}%{_javadir}/httpclient-osgi-%{httpclientnamedversion}-sources.jar
%{__cp} -p %{_sourcedir}/fluent-hc-%{httpclientnamedversion}.jar %{buildroot}%{_javadir}/fluent-hc-%{httpclientnamedversion}.jar
%{__cp} -p %{_sourcedir}/fluent-hc-%{httpclientnamedversion}-javadoc.jar %{buildroot}%{_javadir}/fluent-hc-%{httpclientnamedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/fluent-hc-%{httpclientnamedversion}-sources.jar %{buildroot}%{_javadir}/fluent-hc-%{httpclientnamedversion}-sources.jar
%{__cp} -p %{_sourcedir}/fluent-hc-%{httpclientnamedversion}-site.xml %{buildroot}%{_javadir}/fluent-hc-%{httpclientnamedversion}-site.xml
%{__cp} -p %{_sourcedir}/httpmime-%{httpclientnamedversion}.jar %{buildroot}%{_javadir}/httpmime-%{httpclientnamedversion}.jar
%{__cp} -p %{_sourcedir}/httpmime-%{httpclientnamedversion}-javadoc.jar %{buildroot}%{_javadir}/httpmime-%{httpclientnamedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/httpmime-%{httpclientnamedversion}-sources.jar %{buildroot}%{_javadir}/httpmime-%{httpclientnamedversion}-sources.jar
%{__cp} -p %{_sourcedir}/httpmime-%{httpclientnamedversion}-site.xml %{buildroot}%{_javadir}/httpmime-%{httpclientnamedversion}-site.xml
%{__cp} -p %{_sourcedir}/httpmime-%{httpclientnamedversion}-site.xml %{buildroot}%{_javadir}/httpmime-%{httpclientnamedversion}-site.xml
%{__cp} -p %{_sourcedir}/httpcomponents-asyncclient-%{httpasyncclientnamedversion}-site.xml %{buildroot}%{_javadir}/httpcomponents-asyncclient-%{httpasyncclientnamedversion}-site.xml
%{__cp} -p %{_sourcedir}/httpasyncclient-%{httpasyncclientnamedversion}.jar %{buildroot}%{_javadir}/httpasyncclient-%{httpasyncclientnamedversion}.jar
%{__cp} -p %{_sourcedir}/httpasyncclient-%{httpasyncclientnamedversion}-javadoc.jar %{buildroot}%{_javadir}/httpasyncclient-%{httpasyncclientnamedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/httpasyncclient-%{httpasyncclientnamedversion}-sources.jar %{buildroot}%{_javadir}/httpasyncclient-%{httpasyncclientnamedversion}-sources.jar
%{__cp} -p %{_sourcedir}/httpasyncclient-%{httpasyncclientnamedversion}-site.xml %{buildroot}%{_javadir}/httpasyncclient-%{httpasyncclientnamedversion}-site.xml
%{__cp} -p %{_sourcedir}/httpasyncclient-osgi-%{httpasyncclientnamedversion}.jar %{buildroot}%{_javadir}/httpasyncclient-osgi-%{httpasyncclientnamedversion}.jar
%{__cp} -p %{_sourcedir}/httpasyncclient-osgi-%{httpasyncclientnamedversion}-sources.jar %{buildroot}%{_javadir}/httpasyncclient-osgi-%{httpasyncclientnamedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{projectnamedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{projectnamedversion}||g"`; done)
(cd %{buildroot}%{_javadir} && for jar in *-%{httpcorenamedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{httpcorenamedversion}||g"`; done)
[ "%{httpcorenamedversion}" = "%{httpclientnamedversion}" ] || (cd %{buildroot}%{_javadir} && for jar in *-%{httpclientnamedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{httpclientnamedversion}||g"`; done)
[ "%{httpcorenamedversion}" = "%{httpasyncclientnamedversion}" ] || (cd %{buildroot}%{_javadir} && for jar in *-%{httpasyncclientnamedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{httpasyncclientnamedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/project-%{projectnamedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-httpcomponents-project.pom
%{__cp} -p %{_sourcedir}/httpcomponents-core-%{httpcorenamedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-httpcomponents-core.pom
%{__cp} -p %{_sourcedir}/httpcore-%{httpcorenamedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-httpcore.pom
%{__cp} -p %{_sourcedir}/httpcore-ab-%{httpcorenamedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-httpcore-ab.pom
%{__cp} -p %{_sourcedir}/httpcore-nio-%{httpcorenamedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-httpcore-nio.pom
%{__cp} -p %{_sourcedir}/httpcore-osgi-%{httpcorenamedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-httpcore-osgi.pom
%{__cp} -p %{_sourcedir}/httpcomponents-client-%{httpclientnamedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-httpcomponents-client.pom
%{__cp} -p %{_sourcedir}/httpclient-%{httpclientnamedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-httpclient.pom
%{__cp} -p %{_sourcedir}/httpclient-cache-%{httpclientnamedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-httpclient-cache.pom
%{__cp} -p %{_sourcedir}/httpclient-osgi-%{httpclientnamedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-httpclient-osgi.pom
%{__cp} -p %{_sourcedir}/fluent-hc-%{httpclientnamedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-fluent-hc.pom
%{__cp} -p %{_sourcedir}/httpmime-%{httpclientnamedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-httpmime.pom
%{__cp} -p %{_sourcedir}/httpcomponents-asyncclient-%{httpasyncclientnamedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-httpcomponents-asyncclient.pom
%{__cp} -p %{_sourcedir}/httpasyncclient-%{httpasyncclientnamedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-httpasyncclient.pom
%{__cp} -p %{_sourcedir}/httpasyncclient-osgi-%{httpasyncclientnamedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-httpasyncclient-osgi.pom

# depmaps
%add_to_maven_depmap org.apache.httpcomponents project %{projectnamedversion} JPP httpcomponents-project
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/httpcomponents-project
%add_to_maven_depmap org.apache.httpcomponents httpcomponents-core %{httpcorenamedversion} JPP httpcomponents-core
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/httpcomponents-core
%add_to_maven_depmap org.apache.httpcomponents httpcore %{httpcorenamedversion} JPP httpcore
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/httpcore
%add_to_maven_depmap org.apache.httpcomponents httpcore-ab %{httpcorenamedversion} JPP httpcore-ab
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/httpcore-ab
%add_to_maven_depmap org.apache.httpcomponents httpcore-nio %{httpcorenamedversion} JPP httpcore-nio
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/httpcore-nio
%add_to_maven_depmap org.apache.httpcomponents httpcore-osgi %{httpcorenamedversion} JPP httpcore-osgi
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/httpcore-osgi
%add_to_maven_depmap org.apache.httpcomponents httpcomponents-client %{httpclientnamedversion} JPP httpcomponents-client
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/httpcomponents-client
%add_to_maven_depmap org.apache.httpcomponents httpclient %{httpclientnamedversion} JPP httpclient
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/httpclient
%add_to_maven_depmap org.apache.httpcomponents httpclient-cache %{httpclientnamedversion} JPP httpclient-cache
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/httpclient-cache
%add_to_maven_depmap org.apache.httpcomponents httpclient-osgi %{httpclientnamedversion} JPP httpclient-osgi
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/httpclient-osgi
%add_to_maven_depmap org.apache.httpcomponents fluent-hc %{httpclientnamedversion} JPP fluent-hc
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/fluent-hc
%add_to_maven_depmap org.apache.httpcomponents httpmime %{httpclientnamedversion} JPP httpmime
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/httpmime
%add_to_maven_depmap org.apache.httpcomponents httpcomponents-asyncclient %{httpasyncclientnamedversion} JPP httpcomponents-asyncclient
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/httpcomponents-asyncclient
%add_to_maven_depmap org.apache.httpcomponents httpasyncclient %{httpasyncclientnamedversion} JPP httpasyncclient
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/httpasyncclient
%add_to_maven_depmap org.apache.httpcomponents httpasyncclient-osgi %{httpasyncclientnamedversion} JPP httpasyncclient-osgi
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/httpasyncclient-osgi

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/httpcomponents%{?eap}-%{projectnamedversion}
%{__unzip} -qq %{_sourcedir}/project-%{projectnamedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/httpcomponents%{?eap}-%{projectnamedversion}
%{__rm} -r %{buildroot}%{_javadocdir}/httpcomponents%{?eap}-%{projectnamedversion}/META-INF
%{__ln_s} httpcomponents%{?eap}-%{projectnamedversion} %{buildroot}%{_javadocdir}/httpcomponents%{?eap}
%endif

%clean
%{__rm} -rf %{buildroot}

%post -n httpcomponents-project%{?eap}
%update_maven_depmap

%postun -n httpcomponents-project%{?eap}
%update_maven_depmap 

%post -n httpcomponents-core%{?eap}
%update_maven_depmap

%postun -n httpcomponents-core%{?eap}
%update_maven_depmap

%post -n httpcore%{?eap}
%update_maven_depmap

%postun -n httpcore%{?eap}
%update_maven_depmap

%post -n httpcore-ab%{?eap}
%update_maven_depmap

%postun -n httpcore-ab%{?eap}
%update_maven_depmap

%post -n httpcore-nio%{?eap}
%update_maven_depmap

%postun -n httpcore-nio%{?eap}
%update_maven_depmap

%post -n httpcore-osgi%{?eap}
%update_maven_depmap

%postun -n httpcore-osgi%{?eap}
%update_maven_depmap

%post -n httpcomponents-client%{?eap}
%update_maven_depmap

%postun -n httpcomponents-client%{?eap}
%update_maven_depmap

%post -n httpclient%{?eap}
%update_maven_depmap

%postun -n httpclient%{?eap}
%update_maven_depmap

%post -n httpclient-cache%{?eap}
%update_maven_depmap

%postun -n httpclient-cache%{?eap}
%update_maven_depmap

%post -n httpclient-osgi%{?eap}
%update_maven_depmap

%postun -n httpclient-osgi%{?eap}
%update_maven_depmap

%post -n fluent-hc%{?eap}
%update_maven_depmap

%postun -n fluent-hc%{?eap}
%update_maven_depmap

%post -n httpmime%{?eap}
%update_maven_depmap

%postun -n httpmime%{?eap}
%update_maven_depmap

%post -n httpcomponents-asyncclient%{?eap}
%update_maven_depmap

%postun -n httpcomponents-asyncclient%{?eap}
%update_maven_depmap

%post -n httpasyncclient%{?eap}
%update_maven_depmap

%postun -n httpasyncclient%{?eap}
%update_maven_depmap

%post -n httpasyncclient-osgi%{?eap}
%update_maven_depmap

%postun -n httpasyncclient-osgi%{?eap}
%update_maven_depmap

%files -n httpcomponents-project%{?eap}
%defattr(0644,root,root,0755)
%doc KEYS LICENSE.txt NOTICE.txt README.txt jakarta-httpcomponents-charter.txt
%{_javadir}/httpcomponents-project-%{projectnamedversion}-site.xml
%{_javadir}/httpcomponents-project-site.xml
%{_mavenpomdir}/JPP-httpcomponents-project.pom
%{_mavendepmapfragdir}/httpcomponents-project

%files -n httpcomponents-core%{?eap}
%defattr(0644,root,root,0755)
%{_javadir}/httpcomponents-core-%{httpcorenamedversion}-site.xml
%{_javadir}/httpcomponents-core-site.xml
%{_mavenpomdir}/JPP-httpcomponents-core.pom
%{_mavendepmapfragdir}/httpcomponents-core

%files -n httpcore%{?eap}
%defattr(0644,root,root,0755)
%{_javadir}/httpcore-%{httpcorenamedversion}.jar
%{_javadir}/httpcore.jar
%exclude %{_javadir}/httpcore-%{httpcorenamedversion}-javadoc.jar
%exclude %{_javadir}/httpcore-javadoc.jar
%{_javadir}/httpcore-%{httpcorenamedversion}-sources.jar
%{_javadir}/httpcore-sources.jar
%{_javadir}/httpcore-%{httpcorenamedversion}-site.xml
%{_javadir}/httpcore-site.xml
%{_mavenpomdir}/JPP-httpcore.pom
%{_mavendepmapfragdir}/httpcore

%files -n httpcore-ab%{?eap}
%defattr(0644,root,root,0755)
%{_javadir}/httpcore-ab-%{httpcorenamedversion}.jar
%{_javadir}/httpcore-ab.jar
%exclude %{_javadir}/httpcore-ab-%{httpcorenamedversion}-javadoc.jar
%exclude %{_javadir}/httpcore-ab-javadoc.jar
%{_javadir}/httpcore-ab-%{httpcorenamedversion}-sources.jar
%{_javadir}/httpcore-ab-sources.jar
%{_mavenpomdir}/JPP-httpcore-ab.pom
%{_mavendepmapfragdir}/httpcore-ab

%files -n httpcore-nio%{?eap}
%defattr(0644,root,root,0755)
%{_javadir}/httpcore-nio-%{httpcorenamedversion}.jar
%{_javadir}/httpcore-nio.jar
%exclude %{_javadir}/httpcore-nio-%{httpcorenamedversion}-javadoc.jar
%exclude %{_javadir}/httpcore-nio-javadoc.jar
%{_javadir}/httpcore-nio-%{httpcorenamedversion}-sources.jar
%{_javadir}/httpcore-nio-sources.jar
%{_javadir}/httpcore-nio-%{httpcorenamedversion}-site.xml
%{_javadir}/httpcore-nio-site.xml
%{_mavenpomdir}/JPP-httpcore-nio.pom
%{_mavendepmapfragdir}/httpcore-nio

%files -n httpcore-osgi%{?eap}
%defattr(0644,root,root,0755)
%{_javadir}/httpcore-osgi-%{httpcorenamedversion}.jar
%{_javadir}/httpcore-osgi.jar
%{_javadir}/httpcore-osgi-%{httpcorenamedversion}-sources.jar
%{_javadir}/httpcore-osgi-sources.jar
%{_mavenpomdir}/JPP-httpcore-osgi.pom
%{_mavendepmapfragdir}/httpcore-osgi

%files -n httpcomponents-client%{?eap}
%defattr(0644,root,root,0755)
%{_javadir}/httpcomponents-client-%{httpclientnamedversion}-site.xml
%{_javadir}/httpcomponents-client-site.xml
%{_mavenpomdir}/JPP-httpcomponents-client.pom
%{_mavendepmapfragdir}/httpcomponents-client

%files -n httpclient%{?eap}
%defattr(0644,root,root,0755)
%{_javadir}/httpclient-%{httpclientnamedversion}.jar
%{_javadir}/httpclient.jar
%exclude %{_javadir}/httpclient-%{httpclientnamedversion}-javadoc.jar
%exclude %{_javadir}/httpclient-javadoc.jar
%{_javadir}/httpclient-%{httpclientnamedversion}-sources.jar
%{_javadir}/httpclient-sources.jar
%{_javadir}/httpclient-%{httpclientnamedversion}-site.xml
%{_javadir}/httpclient-site.xml
%exclude %{_javadir}/httpclient-%{httpclientnamedversion}-tests.jar
%exclude %{_javadir}/httpclient-tests.jar
%{_mavenpomdir}/JPP-httpclient.pom
%{_mavendepmapfragdir}/httpclient

%files -n httpclient-cache%{?eap}
%defattr(0644,root,root,0755)
%{_javadir}/httpclient-cache-%{httpclientnamedversion}.jar
%{_javadir}/httpclient-cache.jar
%exclude %{_javadir}/httpclient-cache-%{httpclientnamedversion}-javadoc.jar
%exclude %{_javadir}/httpclient-cache-javadoc.jar
%{_javadir}/httpclient-cache-%{httpclientnamedversion}-sources.jar
%{_javadir}/httpclient-cache-sources.jar
%{_javadir}/httpclient-cache-%{httpclientnamedversion}-site.xml
%{_javadir}/httpclient-cache-site.xml
%{_mavenpomdir}/JPP-httpclient-cache.pom
%{_mavendepmapfragdir}/httpclient-cache

%files -n httpclient-osgi%{?eap}
%defattr(0644,root,root,0755)
%{_javadir}/httpclient-osgi-%{httpclientnamedversion}.jar
%{_javadir}/httpclient-osgi.jar
%{_javadir}/httpclient-osgi-%{httpclientnamedversion}-sources.jar
%{_javadir}/httpclient-osgi-sources.jar
%{_mavenpomdir}/JPP-httpclient-osgi.pom
%{_mavendepmapfragdir}/httpclient-osgi

%files -n httpclient-tests%{?eap}
%defattr(0644,root,root,0755)
%{_javadir}/httpclient-%{httpclientnamedversion}-tests.jar
%{_javadir}/httpclient-tests.jar

%files -n fluent-hc%{?eap}
%defattr(0644,root,root,0755)
%{_javadir}/fluent-hc-%{httpclientnamedversion}.jar
%{_javadir}/fluent-hc.jar
%exclude %{_javadir}/fluent-hc-%{httpclientnamedversion}-javadoc.jar
%exclude %{_javadir}/fluent-hc-javadoc.jar
%{_javadir}/fluent-hc-%{httpclientnamedversion}-sources.jar
%{_javadir}/fluent-hc-sources.jar
%{_javadir}/fluent-hc-%{httpclientnamedversion}-site.xml
%{_javadir}/fluent-hc-site.xml
%{_mavenpomdir}/JPP-fluent-hc.pom
%{_mavendepmapfragdir}/fluent-hc

%files -n httpmime%{?eap}
%defattr(0644,root,root,0755)
%{_javadir}/httpmime-%{httpclientnamedversion}.jar
%{_javadir}/httpmime.jar
%exclude %{_javadir}/httpmime-%{httpclientnamedversion}-javadoc.jar
%exclude %{_javadir}/httpmime-javadoc.jar
%{_javadir}/httpmime-%{httpclientnamedversion}-sources.jar
%{_javadir}/httpmime-sources.jar
%{_javadir}/httpmime-%{httpclientnamedversion}-site.xml
%{_javadir}/httpmime-site.xml
%{_mavenpomdir}/JPP-httpmime.pom
%{_mavendepmapfragdir}/httpmime

%files -n httpcomponents-asyncclient%{?eap}
%defattr(0644,root,root,0755)
%{_javadir}/httpcomponents-asyncclient-%{httpasyncclientnamedversion}-site.xml
%{_javadir}/httpcomponents-asyncclient-site.xml
%{_mavenpomdir}/JPP-httpcomponents-asyncclient.pom
%{_mavendepmapfragdir}/httpcomponents-asyncclient

%files -n httpasyncclient%{?eap}
%defattr(0644,root,root,0755)
%{_javadir}/httpasyncclient-%{httpasyncclientnamedversion}.jar
%{_javadir}/httpasyncclient.jar
%exclude %{_javadir}/httpasyncclient-%{httpasyncclientnamedversion}-javadoc.jar
%exclude %{_javadir}/httpasyncclient-javadoc.jar
%{_javadir}/httpasyncclient-%{httpasyncclientnamedversion}-sources.jar
%{_javadir}/httpasyncclient-sources.jar
%{_javadir}/httpasyncclient-%{httpasyncclientnamedversion}-site.xml
%{_javadir}/httpasyncclient-site.xml
%{_mavenpomdir}/JPP-httpasyncclient.pom
%{_mavendepmapfragdir}/httpasyncclient

%files -n httpasyncclient-osgi%{?eap}
%defattr(0644,root,root,0755)
%{_javadir}/httpasyncclient-osgi-%{httpasyncclientnamedversion}.jar
%{_javadir}/httpasyncclient-osgi.jar
%{_javadir}/httpasyncclient-osgi-%{httpasyncclientnamedversion}-sources.jar
%{_javadir}/httpasyncclient-osgi-sources.jar
%{_mavenpomdir}/JPP-httpasyncclient-osgi.pom
%{_mavendepmapfragdir}/httpasyncclient-osgi

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/httpcomponents%{?eap}-%{projectnamedversion}
%{_javadocdir}/httpcomponents%{?eap}
%endif

%changelog
* Thu May 15 2014 David Walluck <dwalluck@redhat.com> - 6-10.redhat_1.3
- Bump release tag

* Wed May 14 2014 David Walluck <dwalluck@redhat.com> - 6-1.redhat_1.3
- release
